(function($) {
    co_pub= function (ebee555a9){
		this.total=false;//采集/发布总数
		this.ed70276a8=false;//是否在blockui中
		this.emcj_w=1;
		this.emcj_err=0;
		this.emcj_suc=0;
		this.eae31a53a={};
		this.courl='co_getsource_url_action.php';
		this.sendurl='co_pub_action.php';
		this.postdata='';
		this.state='co';
		this.id=0;
		this.clearself=false;
		this.ee6f2d394=0;//是否返回父节点
		this.eminer_arcid=false;//文档id
		this.eminerpuberr_allownum=$paramarr["cfg_eminerpuberr_allownum"]?$paramarr["cfg_eminerpuberr_allownum"]:0;
		if(ebee555a9 && ebee555a9==1)this.eminercoerr_allownum=$paramarr["cfg_search_err_allownum"]?$paramarr["cfg_search_err_allownum"]:0;
		else
		this.eminercoerr_allownum=$paramarr["cfg_eminercoerr_allownum"]?$paramarr["cfg_eminercoerr_allownum"]:0;
		this.e1ce47776=false;
		this.e052aa27e=false;
		this.efaccb973=false;
		this.pub_error_notdelay=false;
		this.msginfo="<div class='dgmsg dgmsg_status'>#</div>";
		var doc;
		if($("input.sptime").length>0) doc = document;
		else if($("input.sptime",parent.document).length>0) doc = parent.document;
		var $e84883c47 = parseInt($("input[name='e84883c47']",doc).val())*1000+200;//刘改 单位 毫秒
		var $ed71d6017 = parseInt($("input[name='ed71d6017']",doc).val())*1000+200;//刘改 单位 毫秒
		if(IsNumber($e84883c47))this.e30aa0fe9 = $e84883c47;
		if(IsNumber($ed71d6017))this.pub_timeout = $ed71d6017;
	};
	$.extend(co_pub.prototype,{		
		pub_timeout:10000000,//单位 毫秒  此处设为0不知为什么不行
		e30aa0fe9:10000000,//单位 毫秒
		needhandstart:false,//不用了
		isfloatwindow:false,//是否在如batch_edit.php里面的悬浮窗中
		notsmartmsg:false,//不显示按钮点击后的提示信息
		efabd4b3b:'操作进行中...',
		erroract:function(XMLHttpRequest, textStatus, errorThrown) {
			var owner=this.me;
			if(!owner)owner=eminer0;//ajax的错误处理函数有点异常，读取不到正常的this
			if(!owner){
				$("#go").html("<div class='dgmsg_notice'><div class='initmsg'><img class='faceimg' src='images/dg_face/face_error.png'/><span>"+"与本地服务器连接错误,请检查服务器或网络是否通畅。"+"</span></div></div>");		
				return;
			}
			//owner.eae31a53a['temp_nextstep']=owner.eae31a53a['innerindex']=owner.eae31a53a['temp_eb03a3273']='';
			
			if (owner.emcj_err > 3) {
				owner.emcj_err=0;
				$("#go").html("<div class='dgmsg_error'><div class='initmsg dg_hash'><img class='faceimg' src='images/dg_face/face_hash.png'/><span>与本地服务器连接错误，请检查网络连接或节点配置是否正确！</span>"+"</div></div>");
				$("#now").width(280);//滚动条走完
				$("#go").append("<div class='buttonrow'></div>");
				$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':owner},owner.shutoff));
				return;
			};
			owner.emcj_err++;					
			$("#go").html("<div class='dgmsg_notice'><div class='initmsg'><img class='faceimg' src='images/dg_face/face_error.png'/><span>"+"与本地服务器连接错误，"+(this.url?"现在正在继续尝试连接...":"请检查后重新操作")+"</span></div></div>");		
			if(this.url){
				if(this.url.indexOf(owner.courl)==0)
				owner.eminerco(this.url+ '&e=' + Math.random());
				else owner.eminerpub(this.url+ '&e=' + Math.random());

			}
		},
		eminerco : function (b) { 
			this.state='co';
			var owner=this;
			if(this.e1ce47776==1) $("div#pubdataconsolearea").show();
			/*
			if(owner.needhandstart){
				owner.needhandstart=false;
				$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;采集工作进行中。。。");
			}*/
			
			$.ajax({
				//async:false,
				me:this,
				error: this.erroract,
				type: "POST",
				url: b + "&r=" + Math.random(),
				timeout: this.e30aa0fe9,
				cache: false,
				data: this.postdata,
				dataType: "json" ,
				success: this.coact
				
			});
		} , 
		eminerpub : function(b) {
			this.state='pub';
			var owner=this;
			if(this.efaccb973==1) $("div#pubdataconsolearea").show();
			/*
			if(owner.needhandstart) 
			{
				owner.needhandstart=false;
				$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;发布进行中。。。");
			}*/
			$.ajax({
				me:this,
				error: this.erroract,
				type: "POST",
				url: b + "&r=" + Math.random(),
				timeout: this.pub_timeout,
				cache: false,
				data: this.postdata,
				dataType: "json" ,
				success: this.pubact
			});
		},
		 coact: function(data) {
				if(!data){data={};data.status='error';data.info='服务器或网络故障！'};
				var owner=this.me;
				owner.needhandstart=false;
				var barr=this.url.split('?');
				if(data.emretry){
					owner.eae31a53a=parse_str(barr[1],false,false);//按照老url重新生成下
					owner.eae31a53a=e2e030ddc(owner,data);
					if(data.emretry.length>1){
						var emnextstep = eval("owner."+data.emretry);
						emnextstep(data);
					}else
					owner.emretry(data,this);
					
					return;
				}else{
					owner.eae31a53a=parse_str(barr[1],false,true);
				}
				var courl=owner.courl,eae31a53a=owner.eae31a53a;
				eae31a53a=e2e030ddc(owner,data);
				try{data.pname;}
					catch(e){alert("非法操作，已退出！");}
				if(data.pname)$("div.title span#poptitleinfo",parent.document).html("采集节点--"+data.pname);//div.title span#poptitleinfo为$.dialog()所产生的div的id
				if(data.minernum)$("div.countbox").show().text("采集总数："+data.minernum);
				if(owner.id!=data.nid){$("div.countbox").text('');owner.id = data.nid;}
				if($("input#b116").val()=="继续"){owner.systemdata=data;return;}
				$("#go").html("");
				$("div#pubdataconsolearea").hide();
				
				
				
				
				if(data.aftercocallback && owner.aftercocallback) owner.aftercocallback(owner,data , data.aftercocallback);
				
				var msginfo_start="<div class='dgmsg dgmsg_"+data.status+"'>";
				if (data.status=="notice"||data.status=="error") {//2
					owner.emcj_err++
				};
				
				
				if (owner.eminercoerr_allownum>0 && owner.emcj_err > owner.eminercoerr_allownum) {
					owner.emcj_err = 0;
					
					$("#go").html(msginfo_start + data.info+"<div class='initmsg dg_hash'><img class='faceimg' src='images/dg_face/face_hash.png'/><span>采集连续失败次数已超过设定值，系统自动停止，请正确设置后重新开始！</span>"+"</div></div>");
					$("#now").width(280);
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':owner},owner.shutoff));
					return;
				};
				if(data.changeact==1){
					
					$("#go").html(msginfo_start+data.info+"</div>"+"<br>"+"<img class='os' src='images/loading.gif'/>"+"&nbsp;&nbsp;工作进行中...");
					
					eae31a53a['temp_changeact']=1;
					owner.eminerpub(owner.sendurl+"?"+http_build_query(eae31a53a));
					return;
				}
				
				if (data.status=="finish"||(data.status=="error" && !owner.e1ce47776 )) {//error是人为设置的，所以需停止，这里不是由系统错误引起的error
					  owner.emcj_err = 0;
					  owner.needhandstart=true;
					  $("#go").html(msginfo_start+data.info+"</div>");




					$("#now").width(280);
					//$("#go").append("<div class='buttonrow'><input type='button' value='返回' onclick=\"javascript:parent.window.$.unblockui();\" /></div>");
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':owner},owner.shutoff));
					if(data.fieldstr && owner.contentcotest){
						owner.contentcotest=false;
						$("#go").append("<div id='fieldshowdiv'>"+data.fieldstr+"</div>");
					}
					//if(data.notclose==0)
					//setTimeout(owner.shutoff, 5000);
					return;
				}else if (data.status=="pause") {
					owner.emcj_err = 0;
					owner.needhandstart=true;
					owner.emcj_w = owner.emcj_w + 2;
					$("#now").width(owner.emcj_w);
					$("#go").html(msginfo_start+data.info+"</div>");
					if($("#now").width()<276)
					$("#now").width($("#now").width()+4);
					else $("#now").width(280);
					owner.co_middlehandle(data,courl,eae31a53a);   
					return;
				}else if (data.status!="notice") {//需要用户输入验证码或修改字段等
					
					owner.emcj_err = 0;
				};
				//下面的其实是data.status=="success"||data.status=="notice"
				$("#go").html(msginfo_start+data.info+"</div>"+"<br>"+"<img class='os' src='images/loading.gif'/>"+"&nbsp;&nbsp;工作进行中。。。");
				
				owner.emcj_w = owner.emcj_w + 2;
				$("#now").width(owner.emcj_w);
				if (owner.emcj_w > 280) {
					owner.emcj_w = 1;
				}
				if(owner.emcj_suc % 2 == 1){
					if (typeof(CollectGarbage) == "function") {
						CollectGarbage();//适用于IE
						setTimeout(CollectGarbage, 500);
					}else if(typeof(_system) != "undefined" && _system.gc){
						setTimeout(_system.gc, 500);
					}
				}
				owner.emcj_suc++;
				//释放内存
				owner.eminerco(owner.courl+"?"+http_build_query(eae31a53a));
				data=null;

			},
			pubact: function(data) {
				if(!data){data={};data.status='error';data.info='服务器或网络故障！'};
				var owner=this.me;
				owner.needhandstart=false;
				var barr=this.url.split('?');
				if(data.emretry){
					owner.eae31a53a=parse_str(barr[1],false,false);
					owner.eae31a53a=e2e030ddc(owner,data);
					if(data.emretry.length>1){
						var emnextstep = eval("owner."+data.emretry);
						emnextstep(data);
					}else owner.emretry(data,this);
					return;
				}else{
					owner.eae31a53a=parse_str(barr[1],false,true);
				}
				
				var sendurl=owner.sendurl,eae31a53a=owner.eae31a53a;
				eae31a53a=e2e030ddc(owner,data);
				
				if($("input#b116").val()=="继续"){owner.systemdata=data;return; }//暂停键
				$("div#pubdataconsolearea").hide();
				$("#go").html("");
				
				var msginfo_start="<div class='dgmsg dgmsg_"+data.status+"'>";
				if (data.status=="notice"||data.status=="error") {
					owner.emcj_err++;
				};
				if(!owner.e1fd8961b){
					owner.postdata={};
				}
				if(owner.id!=data.pid){$("div.countbox").text('');owner.id = data.pid;}
				if(data.pname)$("div.title span#poptitleinfo",parent.document).html("发布节点--"+data.pname);//div.title span#poptitleinfo为$.dialog()所产生的div的id
				if(data.minernum)$("div.countbox").show().text("发布总数："+data.minernum);
				//notice和success一样，只不过是多了emcj_err++;
				
				if (owner.eminerpuberr_allownum>0 && owner.emcj_err > owner.eminerpuberr_allownum) {
					owner.emcj_err=0;
					$("#go").html(owner.msginfo_start+data.info+"<div class='initmsg dg_hash'><img class='faceimg' src='images/dg_face/face_hash.png'/><span>发布连续失败次数已超过设定值，系统自动停止，请点击关闭按钮返回，检查配置后重新开始！</span>"+"</div></div>");
					
					$("#now").width(280);//滚动条走完
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':owner},owner.shutoff));
					
					return;
				};
				if(data.changeact==1){					
					$("#go").html(msginfo_start+data.info+"</div>"+"<br>"+"<img class='os' src='images/loading.gif'/>"+"&nbsp;&nbsp;工作进行中。。。");
					
					eae31a53a['temp_changeact']=1;
					 $("#now").width(280);//滚动条走完
					owner.eminerco(courl+"?"+http_build_query(eae31a53a));
					return;
				}
				if (data.status=="finish"||(data.status=="error" && !owner.efaccb973 )) {
					owner.emcj_err = 0;
					owner.needhandstart=true;
					$("#go").html(msginfo_start+data.info+"</div>");
					$("#now").width(280);
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':owner},owner.shutoff));
					//setTimeout(owner.shutoff, 5000);
					owner.finishact(data.status);
					return;
				}else if (data.status=="pause") {//需要用户输入验证码或修改字段等
					owner.emcj_w = owner.emcj_w + 2;
					$("#now").width(owner.emcj_w);
					$("#go").html(msginfo_start+data.info+"</div>");
					owner.needhandstart=true;
					owner.pub_middlehandle(data,sendurl,eae31a53a);   
					return;
				}else if (data.status!="notice") {//需要用户输入验证码或修改字段等
					
					owner.emcj_err = 0;
				};
				owner.emcj_w = owner.emcj_w + 2;
				$("#now").width(owner.emcj_w);
				if (owner.emcj_w > 280) {
					owner.emcj_w = 1;
				};
				$("#go").html(msginfo_start+data.info+"</div>");
				
				var delaycheckedornot="";
				if(owner.efaccb973==1)delaycheckedornot=" checked='1' ";
				else delaycheckedornot="";
				var delaycheckhtml="<input id='notdelaycheck' type='checkbox' value='1' "+delaycheckedornot+" />&nbsp;不需确认即可自动发布&nbsp;";
				var retrylogincheckhtml=  "&nbsp;<input id='retrylogincheck' type='checkbox' value='1' />&nbsp;发布帐号重新登陆&nbsp;";
			    var tipinfo = delaycheckedornot==""?"下面点击继续发布。。。" : "<img class='os' src='images/loading.gif' />&nbsp;&nbsp;发布工作进行中。。。";
				////进入到php代码中后，要显示<img class='os' src='images/loading.gif'/>图标 
				$("#go").append(tipinfo+"<div class='tipinfo'>"+delaycheckhtml+retrylogincheckhtml+"</div>");
				$("input#notdelaycheck","#go").bind("click",{'owner':owner},owner.e9ab6baee);
				$("input#retrylogincheck","#go").bind("click",{'owner':owner},owner.retrylogin);

				$("#go").append("<div class='buttonrow'></div>");
				$("#go .buttonrow").append(
					$("<input type='button' value='继续发布' />").click(function(){
						$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
						owner.eminerpub(sendurl+"?"+http_build_query(eae31a53a));
					})
				);
				if(!(owner.successact(owner,data))) return false;
				data=null;
				if(owner.efaccb973==1) owner.eminerpub(sendurl+"?"+http_build_query(eae31a53a));
				else return;
			
		},
		
		emretry:function(data,ajaxobj) {
			this.eae31a53a['temp_emretry']=1;
			if(data.emnextstep){
				var emnextstep = eval(data.emnextstep);
				emnextstep(data);
			}
			if(data.emcodejs){
				 evalscript(data.emcodejs);//经过处理后，得到一全局变量emlastval
				 
				 if(typeof(emlastval) != "undefined" && emlastval.length){
					 for(var k in emlastval){
						 this.eae31a53a[k]=emlastval[k];
					 }
				 }
			}
			var nextact=function(obj){
				var id ;
				id=evalscripts.pop();
				if(id && document.getElementById(id)){
					if((typeof em_extra001 == 'undefined' || !em_extra001 )&& document.getElementById(id).onloadDone == false) setTimeout(function(){nextact(obj);},200);
					else{
						var lastval = em_extra001(data.emretryval);
						if(typeof lastval == 'object'){
							var newval='';
							for(var i in lastval)newval += '|'+lastval[i];
							lastval = newval;
						}
						obj.eae31a53a['temp_emretryval']=lastval;
						em_extra001=null;
						document.getElementById(id).parentNode.removeChild(document.getElementById(id));
						evalscripts=[];JSLOADED=[];

						if(obj.state=='co')	
						obj.eminerco(obj.courl+"?"+http_build_query(obj.eae31a53a));
						else obj.eminerpub(obj.sendurl+"?"+http_build_query(obj.eae31a53a));
					}
				}else alert("error!");
			}
			var self=this;
			setTimeout(function(){nextact(self);},200);
			return;
		},
		
		pubcontent: function (e){
			var owner;
			if(e){owner=e.data.owner;
			$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
			}else owner=this;
			owner.eminerpub(owner.sendurl+"?"+http_build_query(owner.eae31a53a));
		},
		cocontent: function (e){
			var owner;
			if(e){
				owner=e.data.owner;
				$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
			}else owner=this;			
			owner.eminerco(owner.courl+"?"+http_build_query(owner.eae31a53a));
		},
		co_middlehandle: function(data){
			var needaddbutt=false;
			var eae31a53a=this.eae31a53a;
			if( data.act=="Lfetchcode" || data.act=="Cfetchcode"){
				eae31a53a['temp_eb03a3273']=data.act;
				//if(data.codehtml||data.codeurl)$("#go").append("<div class='dialoginfo'>请填写以下验证码信息：</div>");
				var urlnum=0;
				
				
				if(data.codehtml){
					var reg=/<\{([^\}]+)\}>/;					
					var arr1 = [];
					while(arr1 = reg.exec(data.codehtml)) {
						f_url="co_getsource_url_action.php?phrase="+(data.phrase?data.phrase:0)+"&eb5707348=fetchcode&nid="+data.nid+"&eb03a3273="+data.act+"&ef4648823="+encodeURIComponent(arr1[1]);
						data.codehtml = data.codehtml.replace(reg,f_url);
					}
					var fetchhtmls = data.codehtml.split('|em__split|');
					var urlcount=fetchhtmls.length;
					for (var i in fetchhtmls )
					{
						$("<div class='codediv' id='codemsgdiv'"+urlnum+"></div>").appendTo("#go div.dgmsg").append(fetchhtmls[i]).append("&nbsp;<input class='codeinput' id='fetchcode_"+urlnum+"' />");
						needaddbutt=true;
					}	
				
				}else if(data.codeurl){
					var fetchcode_urls = data.codeurl.split('|');
					
					var urlcount=fetchcode_urls.length;
					$("<div class='codediv' id='codemsgdiv'></div>").appendTo("#go div.dgmsg");
					for (var i in fetchcode_urls )
					{
						var f_url=fetchcode_urls[i];
						var onload=false;
						if(f_url){
							needaddbutt=true;
							f_url="co_getsource_url_action.php?phrase="+(data.phrase?data.phrase:0)+"&eb5707348=fetchcode&nid="+data.nid+"&eb03a3273="+data.act+"&coe219779c5="+(eae31a53a['coe219779c5']?eae31a53a['coe219779c5']:0)+"&ef4648823="+encodeURIComponent(f_url);
							image1 = new Image;
							image1.onload=function(){
								$("<div class='innercodediv' id='innercodemsgdiv"+urlnum+"' ></div>").appendTo("#codemsgdiv").append(image1).append("&nbsp;<input class='codeinput' id='fetchcode_"+urlnum+"' />");
								$(image1).attr('onClick',"javascript:this.src=this.src+ '&r=' + Math.random();");
								$(image1).attr('class',"hand");
								$(image1).attr('title',"看不清？点击更换");
								image1.onload=null;
								urlnum++;
								onload=true;
							}
							image1.src = f_url+ "&r=" + Math.random();							
							setTimeout(function() {
								if(onload==false){
									$("#loadingdiv1").hide();
									$("#go .initmsg").remove();
									$("#go").prepend("未能获取验证码图片");
									eae31a53a['temp_nextstep']=eae31a53a['innerindex']=eae31a53a['temp_eb03a3273']='';
								}
								return;}, 30000);
						}
					}
				}else{
					$("#go").html("<div class='dgmsg_error'><div class='initmsg dg_hash'><img class='faceimg' src='images/dg_face/face_hash.png'/><span>无法完成任务，请重新检查配置！</span>"+"</div></div>");
					$("#now").width(280);//滚动条走完
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':this},this.shutoff));
					return;
				}
				
				eae31a53a['temp_nextstep']='e18955b84';
				eae31a53a['temp_phrase']=5;
				if(needaddbutt==true){
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='继续' id='codesubmit' />").bind('click',{type:'co',owner:this},this.aftercode));

				}
			}
			else{//简单互动，只是给用户汇报一下当前信息
				var buttinfo='继续';
				if(data.buttinfo)buttinfo=data.buttinfo;
				if(data.buttclick)buttclick=eval(data.buttclick);
				else buttclick=this.cocontent;
				$("<div class='aligncenter'><input id='contibutt' type='button' value='"+buttinfo+"'/></div>").bind('click',{owner:this},buttclick).appendTo($("#go div.dgmsg"));
				return;
			}
		},
		pub_middlehandle: function(data){
			var eae31a53a=this.eae31a53a;
			if(data.act=="edc54d97e"){//让用户直接进入后台 ，继续发布
				/*
				 * eae31a53a['temp_phrase']=5  最后发布内容字段
				 * *eae31a53a['temp_phrase']=4  发布内容前准备阶段，如获取采集字段，验证码url
				 * eae31a53a['temp_phrase']=3  用户帐号登陆验证
				 * eae31a53a['temp_phrase']=2  未定义
				 * eae31a53a['temp_phrase']=1 用户帐号登陆前准备阶段，如获取验证码url，获取cookie 
				 * 这几个阶段要求必须相通，即如不需第3和4阶段，就能从一阶段进入第5阶段
				 * 注意和e95159ca1区分开 e95159ca1是指是为区分是登陆测试还是发布内容测试
				 * */
				eae31a53a['temp_phrase']=4;
				eae31a53a['temp_nextstep']='edc54d97e';
				var owner=this;

				$("#go").append("<div class='buttonrow'></div>");
				$("#go .buttonrow").append($("<input type='button' value='开始发布信息' />").click(function(){
						$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
						owner.eminerpub(owner.sendurl+"?"+http_build_query(owner.eae31a53a));
					}));

				
				return;
			}
			var needaddbutt=false;
			if( typeof(data.codata) != "undefined"){
				eae31a53a['temp_nextstep']='eacd07b78';
				eae31a53a['temp_phrase']=5;
				var newcodata=data.codata;
				var j=0;
				if( typeof(newcodata['ee6f2d394']) != "undefined") this.ee6f2d394=newcodata['ee6f2d394'];//是否转向父节点 ，即回帖后返回主节点
				delete newcodata['ee6f2d394'];
				if( typeof(newcodata['eminer_arcid']) != "undefined") this.eminer_arcid=newcodata['eminer_arcid'];
				delete newcodata['eminer_arcid'];
				//if(newcodata.length>0)$("#go").append();
				var newcodatastr='';
				for(var i in newcodata){
					j++;
					newcodatastr += "<tr><td width=40%>"+i+"</td><td width=60%>"+"<textarea class='codatatextarea' name='eminer_"+i.replace('[','@@').replace(']','%%')+"'>"+newcodata[i]+"</textarea>"+"</td></tr>";
				}
				if(j>0){
					needaddbutt=true;
					$("#go div.dgmsg").append("<div class='initmsg dg_pause'><img class='faceimg' src='images/dg_face/face_pause.png'/><span>请编辑以下字段信息：</span></div>");
					$("#go div.dgmsg").append("<table class='cofieldinfo'>"+newcodatastr+"</table>");
					$("#go").append("<input type='hidden' id='hascodata' name='hascodata' value='1' />");
				}
			}
			if( typeof(data.act) != "undefined" && (data.act=="Lfetchcode" || data.act=="Cfetchcode")){
				var phrasemsg="";
				eae31a53a['temp_eb03a3273']=data.act;
				if(data.act=="Cfetchcode"){
					eae31a53a['temp_nextstep']='eacd07b78';
					eae31a53a['temp_phrase']=5;
					phrasemsg="发布内容时";
				}else {
					eae31a53a['temp_nextstep']='effa1f08d';
					eae31a53a['temp_phrase']=3;
					phrasemsg="用户登陆时";
				}
				if(data.codehtml||data.codeurl){$("#go div.dgmsg").append("<div class='initmsg dg_pause'><img class='faceimg' src='images/dg_face/face_pause.png'/><span>请填写"+phrasemsg+"所需的验证码信息：</span></div>");
				var urlnum=0;
				
				
				
				if(data.codehtml){
					var reg=/<\{([^\}]+)\}>/;					
					var arr1 = [];
					while(arr1 = reg.exec(data.codehtml)) {
						f_url="co_pub_action.php?phrase="+(data.phrase?data.phrase:0)+"&eb5707348=fetchcode&pid="+data.pid+"&eb03a3273="+data.act+"&ef4648823="+encodeURIComponent(arr1[1]);
						data.codehtml = data.codehtml.replace(reg,f_url);
					}
					var fetchhtmls = data.codehtml.split('|em__split|');
					var urlcount=fetchhtmls.length;
					for (var i in fetchhtmls )
					{
						$("<div class='codediv' id='codemsgdiv'"+urlnum+"></div>").appendTo("#go div.dgmsg").append(fetchhtmls[i]).append("&nbsp;<input class='codeinput' id='fetchcode_"+urlnum+"' />");
						needaddbutt=true;
					}
				}				
				if(data.codeurl){
					var fetchcode_urls = data.codeurl.split('|');
					
					var urlcount=fetchcode_urls.length;
					$("<div class='codediv' id='codemsgdiv' ></div>").appendTo("#go div.dgmsg");
					for (var i in fetchcode_urls )
					{
						var f_url=fetchcode_urls[i];
						if(f_url){
							needaddbutt=true;
							f_url="co_pub_action.php?phrase="+(data.phrase?data.phrase:0)+"&eb5707348=fetchcode&pid="+data.pid+"&eb03a3273="+data.act+"&pube219779c5="+(eae31a53a['pube219779c5']?eae31a53a['pube219779c5']:0)+"&ef4648823="+encodeURIComponent(f_url);
							
							image1 = new Image;
							var onload=false;
							image1.onload=function(){
								var codeinput="&nbsp;<input class='codeinput' id='fetchcode_"+urlnum+"' />"
								$("<div class='innercodediv' id='innercodemsgdiv"+urlnum+"' ></div>").appendTo("#codemsgdiv").append(image1).append(codeinput);
								$(image1).attr('onClick',"javascript:this.src=this.src+ '&r=' + Math.random();");
								$(image1).attr('class',"hand");
								$(image1).attr('title',"看不清？点击更换");
								image1.onload=null;
								urlnum++;
								onload=true;
							}
							image1.src = f_url+ "&r=" + Math.random();
							
							setTimeout(function() {
								if(onload==false){
									$("#loadingdiv1").hide();
									$("#go .dgmsg").remove();
									$("#go").prepend("未能获取验证码图片");
									eae31a53a['innerindex']=eae31a53a['temp_eb03a3273']=eae31a53a['temp_nextstep']='';
									
								}
								return;}, 30000);
						}
						
					}
				}	
				}else{
					$("#go").html("<div class='dgmsg_error'><div class='initmsg dg_hash'><img class='faceimg' src='images/dg_face/face_hash.png'/><span>无法完成任务，请重新检查配置！</span>"+"</div></div>");
					$("#now").width(280);//滚动条走完
					$("#go").append("<div class='buttonrow'></div>");
					$("#go .buttonrow").append($("<input type='button' value='返回'/>").bind('click',{'owner':this},this.shutoff));
					return;
				}
				
			}
			if(needaddbutt==true){
				$("#go").append("<div id='buttsubdiv' class='buttonrow'></div>");
				$("#go #buttsubdiv").append($("<input type='button' value='继续' id='codesubmit' />").bind('click',{type:'pub',owner:this},this.aftercode));
			}		
			if(!(( typeof(data.act) != "undefined" && (data.act=="Lfetchcode" || data.act=="Cfetchcode")) || typeof(data.codata) != "undefined" && $("#hascodata").val()=="1") && this.efaccb973==1){
				this.notsmartmsg=true;
				$("input#codesubmit").click();
			}
			
		},
		aftercode: function(e){
			var owner=e.data.owner
			var e52731e59=e.data.type;
			//owner.needhandstart=true;
			
			if($("input#hascodata").val()==1) {
				var postdata=owner.postdata={};
				$("textarea[name^='eminer_']").each(function(){
					postdata[this.name] = this.value;

				});
				postdata['eminer_arcid'] = owner.eminer_arcid;
				postdata['ee6f2d394'] = owner.ee6f2d394;
				$("input#hascodata").val('');
				owner.eae31a53a['temp_hascodata'] = 1;
			}
			var code='';
			$("#go input[id^='fetchcode']").each(function(){
				if(this.value)
				code += this.value + '|' ;
				else {code=false;alert('验证码还未填');return;}
			});
			if(code) {owner.eae31a53a['temp_fetchcode']=code.replace(/\|$/, "");
				if($("#go input[id='saveloginfocheck']").attr('checked')) {
					owner.eae31a53a['saveloginfocheck']=1;
				}
			}
			if(e52731e59=='co'){
				if(!this.notsmartmsg) $("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
				owner.eminerco(owner.courl+"?"+http_build_query(owner.eae31a53a));
			}else{
				//if($("input[name='efaccb973']").attr("checked")) owner.efaccb973=true;
				if(!this.notsmartmsg) $("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
				else this.notsmartmsg=0;
				owner.eminerpub(owner.sendurl+"?"+http_build_query(owner.eae31a53a));
			}
		},
		
		retrylogin: function (e){
			var owner = e.data.owner;
			if(this.checked==true)
			owner.eae31a53a['temp_mid'+owner.state+'retrylogin']=1;
			else {
				if(typeof(owner.eae31a53a['temp_mid'+owner.state+'retrylogin']) != "undefined") delete owner.eae31a53a['temp_mid'+owner.state+'retrylogin'];
			}
		},
		togglecopub: function (e){
			var owner = e.data.owner;
			if(this.value=="暂停")this.value="继续";
			else {
				this.value="暂停";
				eval("owner."+owner.state+"act(this.systemdata)");
			}
		},
		e9ab6baee: function (e){
			e.data.owner.eae31a53a['efaccb973'] = e.data.owner.efaccb973=this.checked?1:0;
		},
		e4d4a3f0a: function (e){
			e.data.owner.e1ce47776=this.checked?1:0;
		},
		shutoff:function(e){
			var owner;
			if(e)owner=e.data.owner;else owner=this;
			if(owner.isfloatwindow)
			 pubareahandle();
			else {
				try{$.unblockui();}
				catch(e){ parent.window.$.unblockui();}
			}
			if(owner.clearself) owner=null;
		},
		finishact:function(status){},//完成后立即执行的
		successact:function(owner,data){return true}//success后立即执行的
	}
	);
	
	


    
})(jQuery); 


	//普通函数
	function e2e030ddc(obj,data){
		var arr=obj.eae31a53a;
		if(data.emretry){
			for(var i in data){
				if(i.indexOf('forever_hash_unique')===0) {arr[i.replace('forever_','')]=data[i];}
	
			}
		}else{
			for(var i in arr){
				if(i.indexOf('temp_')===0) delete arr[i];
				
			}
			if(data!=null){
				for(var i in data){
					if(i.indexOf('forever_')===0) {arr[i.replace('forever_','')]=data[i];}
					else if(i.indexOf('foreverdel_')===0) {if(arr[i.replace('foreverdel_','')])  delete arr[i.replace('foreverdel_','')];}
					else if(i.indexOf('eminerobj_')===0) eval("obj."+ i.replace('eminerobj_','') + "=" + data[i]);
				}
			
			}
			//if(typeof(arr['r'])!="undefined")delete arr['r'];
		}
		return arr;
	}
  